<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class HouseApplianceCleanOrder
 * @package App\Models
 * 家电清洁
 */
class HouseApplianceCleanOrder extends Model
{
    protected $fillable = [
        'wechat_id', // 微信号id(open_id)
		'appliances', // 项目, 数组形式，多个数量则出现多次
    	'address', // 服务地址
    	'contact', // 联系人
    	'phone',	//联系电话
    	'status', // 订单状态
        'price' // 订单价格
    ];
}
