<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class Product
 * @package App\Models
 * 产品信息
 */
class Product extends Model
{
    protected $fillable = [
    	'name', // 产品名称
		'info', // 产品信息
        'price', // 产品价格
        'classify', // 产品分类
        'color', // 产品颜色款色
        'collect_num', // 收藏数
        'sell_num', // 销量
		'status', // 产品状态, 上架/下架
	];
}
