<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use App\Models\MaternityMatronOrder;

class MaternityMatronOrderController extends Controller
{

    /**
     * 创建保姆订单
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse
     */
    public function store(Request $request)
    {
        $id = $request->input('id');
        $user = session('wechat.oauth_user.default');
        $wechat_id = $user->getId();
        $level = $request->input('level');
        $expected_date = $request->input('expected_date');
        $special_demand = $request->input('special_demand');
        $server_time = $request->input('server_time');
        $address = $request->input('address');
        $contact = $request->input('contact');
        $phone = $request->input('phone');
        $status = $request->input('status');
        $price = $request->input('price');
        if ($id) {
            $maternityMatronOrder = MaternityMatronOrder::find($id);
            $maternityMatronOrder->status = $status;
            $maternityMatronOrder->price = $price;

        } else {
            $maternityMatronOrder = new MaternityMatronOrder;
            $maternityMatronOrder->status = 0;
        }
        if ($user && $level && $expected_date && $server_time && $special_demand && $address && $contact && $phone) {
            $maternityMatronOrder->level = $level;
            $maternityMatronOrder->expected_date = $expected_date;
            $maternityMatronOrder->special_demand = $special_demand;
            $maternityMatronOrder->server_time = $server_time;
            $maternityMatronOrder->address = $address;
            $maternityMatronOrder->contact = $contact;
            $maternityMatronOrder->phone = $phone;
            $maternityMatronOrder->wechat_id = $wechat_id;
            $maternityMatronOrder->save();
            return Response()->json([
                "status" => 0,
                "message" => "保存成功!"
            ]);
        } else {
            return Response()->json([
                "status" => -1,
                "message" => "信息不能为空!"
            ]);
        }
    }

    /**
     * 每页20进行分页
     * @param Request $request
     * @return mixed
     */
    public function list(Request $request)
    {
        return MaternityMatronOrder::paginate(20);
    }
}
