<?php

namespace App\Http\Controllers\Models;

use Illuminate\Http\Request;
use App\Http\Controllers\Controller;

class ServerInfoController extends Controller
{

    /**
     * 创建活动
     * @param Request $request
     * @return \Illuminate\Http\JsonResponse
     */
    public function store(Request $request)
    {
        $id = $request->input('id');
        $server = $request->input('server');
        $content = $request->input('content');
        if ($id) {
            $serverInfo = ServerInfo::find($id);
        } else {
            $serverInfo = new Campaign;
        }
        if ($server && $content) {
            $serverInfo->title = $server;
            $serverInfo->content = $content;
            $serverInfo->save();
            return Response()->json([
                "status" => 0,
                "message" => "保存成功!"
            ]);
        } else {
            return Response()->json([
                "status" => -1,
                "message" => "信息不能为空!"
            ]);
        }
    }

    /**
     * 每页20进行分页
     * @param Request $request
     * @return mixed
     */
    public function list(Request $request)
    {
        return ServerInfo::paginate(20);
    }
}
