<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class HouseCleanOrder
 * @package App\Models
 * 家居清洁订单
 */
class HouseCleanOrder extends Model
{
    protected $fillable = [
        'wechat_id', // 微信号id(open_id)
		'type', // 清洁类型
		'area', // 清洁面积
    	'address', // 服务地址
    	'contact', // 联系人
    	'phone',	//联系电话
		'picture1', // 图片1, 保持的是服务器上的图片地址
		'picture2', // 图片2, 保持的是服务器上的图片地址
		'picture3', // 图片3, 保持的是服务器上的图片地址
		'picture4', // 图片4, 保持的是服务器上的图片地址
		'picture5', // 图片5, 保持的是服务器上的图片地址
    	'status', // 订单状态
        'price' // 订单价格
    ];
}
