<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class HousekeeperOrder
 * @package App\Models
 * 保姆订单
 */
class HousekeeperOrder extends Model
{
    protected $fillable = [
        'wechat_id', // 微信号id(open_id)
		'contents', // 服务内容, 数组形式，多个数量则出现多次
    	'people_num', //人口数量
        'area', // 房屋面积
        'server_time', // 服务时间: 全白天/住家
        'rest', // 休息安排
        'address', // 服务地址
    	'contact', // 联系人
    	'phone',	//联系电话
        'status', // 订单状态
        'price' // 订单价格
    ];
}
