<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class MaternityMatronOrder
 * @package App\Models
 * 月嫂订单
 */
class MaternityMatronOrder extends Model
{
    protected $fillable = [
        'wechat_id', // 微信号id(open_id)
        'level', // 月嫂等级
        'expected_date', // 预产期
        'server_time', // 服务时间
        'special_demand', // 特殊需求
        'address', // 服务地址
        'contact', // 联系人
        'phone',	//联系电话
        'status', // 订单状态
        'price' // 订单价格
    ];
}
