<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;

/**
 * Class ProductOrder
 * @package App\Models
 * 产品订单
 */
class ProductOrder extends Model
{
    protected $fillable = [
        'wechat_id', // 微信号id(open_id)
    	'product_id', // 产品名称
		'product_name', // 产品信息
        'color', // 产品颜色款色
		'unit', // 产品单格
		'amount', // 产品数量
		'price', // 订单总价
		'status', // 订单状态
		'remark', // 买家备注
		'info', // 卖家信息
		'contact', // 买家联系人
		'address', // 买家地址
		'phone' // 买家手机号码
	];
}
