module.exports = {
    "env": {
        "browser": true,
        "commonjs": true,
        "es6": true
    },
    "extends": "eslint:recommended",
    "parserOptions": {
        "ecmaVersion": 6,
        "sourceType": "module",
        "ecmaFeatures": {
            "experimentalObjectRestSpread": true
        }
    },
    "rules": {
        "indent": [2, 4, {
                "SwitchCase": 1
            }
        ],
        "linebreak-style": [
            "off",
            "windows"
        ],
        "quotes": [
            "error",
            "single"
        ],
        "semi": [
            "error",
            "always"
        ]
    },

    "globals": {
        "wx": false,
        "Component": false,
        "Page": false,
        "App": false,
        "getCurrentPages": false,
        "Promise": false,
        "getApp": false
    }
};